Subject: Re: bug#13210: [PATCH] maint: cygwin build broken

From: "Z. Majeed" <[email-masked]>
Date: Wed, 19 Dec 2012 04:57:02 -0800 (PST)

Thanks for fixing all the issues - are you folks open to adding a ginstall.exe manifest for the cygwin build?

Zartaj

--- On Mon, 12/17/12, Z. Majeed <[email-masked]> wrote:

> You're probably right about the mkdir
> doc hack - I think I added it based on a similar rule for
> another subdir - the win7 elevation requirement is discussed
> at length at http://social.msdn.microsoft.com/forums/en-US/windowssecurity/thread/73f86e9e-928f-40b7-8dd5-27e40db6997e/
> - the upshot is ginstall.exe needs a manifest to be exempt
> from win7 racial profiling - the cygwin folks must have a
> manifest when creating a coreutils package - the latest on
> cygwin is coreutils 8.15
> 
> Zartaj
> 
> --- On Mon, 12/17/12, Pádraig Brady <[email-masked]>
> wrote:
> 
> > 
> > > On win7 running ginstall for man/install.1 build
> > required admin rights
> > 
> > Surprising. ginstall --help shouldn't need admin
> privs.
> > I'm not in a position to test windows though, sorry.
> > Perhaps you could trace the call requiring admin
> rights?
> > 
> > thanks,
> > Pádraig.
> >
>